package com.zsc.edu.gateway.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

public enum EnableState implements IEnum<Boolean> {
    ENABLE(Boolean.TRUE),
    DISABLE(Boolean.FALSE);

    private boolean value;

    EnableState(Boolean value) {
        this.value = value;
    }

    @Override
    public Boolean getValue() {
        return this.value;
    }

    public EnableState reverse() {
        return this == ENABLE ? DISABLE : ENABLE;
    }
}
